<?php
if(!defined('ABSPATH')) exit; 
$bizcalendar_web_key = basename(__FILE__, '.php');
$bizcalendar_web_a = shortcode_atts(array_replace_recursive(array(
	'label' => setrio_bizcal_message('lblPatientObservations'),
	'atts' => 'filled',
	'class' => '',
	'type' => 'textarea',
	'hide-details' => 'auto',
	'texts' => array(
	),
	'rules' => "",
), (isset($args['wargs']) ? $args['wargs'] : array())), (isset($args['args']) ? $args['args'] : array()), (isset($args['tag']) ? $args['tag'] : ''));
?>
<v-textarea
	ref="<?php echo esc_attr($bizcalendar_web_key); ?>" 
	<?php echo esc_attr($bizcalendar_web_a['atts']); ?>
	v-model="<?php echo esc_attr($bizcalendar_web_key); ?>"
	label="<?php echo esc_attr($bizcalendar_web_a['label']); ?>"
	<?php if ($bizcalendar_web_a['rules']) { ?>:rules="<?php echo esc_attr($bizcalendar_web_a['rules']); ?>"<?php } ?>
	hide-details="<?php echo esc_attr($bizcalendar_web_a['hide-details']); ?>"
	v-bind="props('textarea')"
></v-textarea>
<component is="script">SetrioBizCalendarVueApps[{{ app_index }}].setData('texts_<?php echo esc_attr($bizcalendar_web_key); ?>',<?php BizCalendar\wp_kses_post(htmlspecialchars(json_encode(array('texts' => array($bizcalendar_web_key => $bizcalendar_web_a['texts']))), ENT_QUOTES, 'UTF-8')); ?>)</component>